import { ElementRef, OnInit, SimpleChanges, OnChanges, Renderer2 } from '@angular/core';
import { ThemeService } from '../../service/theme.service';
export declare class InverseColorDirective implements OnInit, OnChanges {
    private renderer;
    private elementRef;
    private themeService;
    isInvert: boolean;
    activeTheme: number;
    constructor(renderer: Renderer2, elementRef: ElementRef, themeService: ThemeService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    invertColor(): void;
}
